# Method: customers.policies.orgunits.batchModify

- [HTTP request](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits/batchModify#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits/batchModify#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits/batchModify#body.request_body)
  - [JSON representation](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits/batchModify#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits/batchModify#body.response_body)
- [Authorization scopes](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits/batchModify#body.aspect)
- [ModifyOrgUnitPolicyRequest](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits/batchModify#ModifyOrgUnitPolicyRequest)
  - [JSON representation](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits/batchModify#ModifyOrgUnitPolicyRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits/batchModify#try-it)

Modify multiple policy values that are applied to a specific org unit. All targets must have the same target format. That is to say that they must point to the same target resource and must have the same keys specified in `additionalTargetKeyNames`, though the values for those keys may be different. On failure the request will return the error details as part of the google.rpc.Status.

### HTTP request

`POST https://chromepolicy.googleapis.com/v1/{customer=customers/*}/policies/orgunits:batchModify`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customer` | `string` ID of the G Suite account or literal "my_customer" for the customer associated to the request. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits/batchModify#ModifyOrgUnitPolicyRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/chrome/policy/reference/rest/v1/customers.policies.orgunits/batchModify#ModifyOrgUnitPolicyRequest`)`` List of policies to modify as defined by the `requests`. All requests in the list must follow these restrictions: 1. All schemas in the list must have the same root namespace. 2. All \`policyTargetKey.targetResource\` values must point to an org unit resource. 3. All \`policyTargetKey\` values must have the same key names in the \` additionalTargetKeys\`. This also means if one of the targets has an empty \`additionalTargetKeys\` map, all of the targets must have an empty \`additionalTargetKeys\` map. 4. No two modification requests can reference the same \`policySchema\` + \` policyTargetKey\` pair. |

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/chrome.management.policy`

## ModifyOrgUnitPolicyRequest

Request parameters for modifying a policy value for a specific org unit target.

| JSON representation |
|---|
| ``` { "policyTargetKey": { object (`https://developers.google.com/chrome/policy/reference/rest/v1/PolicyTargetKey`) }, "policyValue": { object (`https://developers.google.com/chrome/policy/reference/rest/v1/PolicyValue`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `policyTargetKey` | ``object (`https://developers.google.com/chrome/policy/reference/rest/v1/PolicyTargetKey`)`` Required. The key of the target for which we want to modify a policy. The target resource must point to an Org Unit. |
| `policyValue` | ``object (`https://developers.google.com/chrome/policy/reference/rest/v1/PolicyValue`)`` The new value for the policy. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Required. Policy fields to update. Only fields in this mask will be updated; other fields in `policyValue` will be ignored (even if they have values). If a field is in this list it must have a value in 'policyValue'. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |